Retrieve all plans
curl --request GET \
--url https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0/plans \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0/plans"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "Success",
"plans": [
{
"planId": "123e4567-e89b-12d3-a456-426614174000",
"productName": "bango-music",
"planName": "bango-music-3-months-free",
"planPhases": [
{
"type": "TRIAL",
"billingPeriod": "MONTHLY",
"price": {
"amount": 0,
"currency": "USD"
},
"sequence": 0,
"billDescription": "Bango Music 3 months on us",
"duration": "P3M"
}
]
}
]
}{
"responseCode": "BAD_REQUEST",
"responseMessage": "Invalid request"
}{
"responseCode": "UNAUTHORIZED",
"responseMessage": "Invalid access credential"
}{
"responseCode": "NOT_FOUND",
"responseMessage": "Plan not found"
}{
"responseCode": "TOO_MANY_REQUESTS",
"responseMessage": "Request limit reached. Please try again later"
}{
"responseCode": "INTERNAL_ERROR",
"responseMessage": "The server encountered an unexpected condition which prevented it from fulfilling the request"
}{
"responseCode": "SERVICE_UNAVAILABLE",
"responseMessage": "The server is undergoing maintenance and is not available. Please, try again later"
}Retrieve all plans
Use this endpoint to retrieve all subscription plans you have in the Bango Platform.
GET
https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0
/
plans
Retrieve all plans
curl --request GET \
--url https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0/plans \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0/plans"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "Success",
"plans": [
{
"planId": "123e4567-e89b-12d3-a456-426614174000",
"productName": "bango-music",
"planName": "bango-music-3-months-free",
"planPhases": [
{
"type": "TRIAL",
"billingPeriod": "MONTHLY",
"price": {
"amount": 0,
"currency": "USD"
},
"sequence": 0,
"billDescription": "Bango Music 3 months on us",
"duration": "P3M"
}
]
}
]
}{
"responseCode": "BAD_REQUEST",
"responseMessage": "Invalid request"
}{
"responseCode": "UNAUTHORIZED",
"responseMessage": "Invalid access credential"
}{
"responseCode": "NOT_FOUND",
"responseMessage": "Plan not found"
}{
"responseCode": "TOO_MANY_REQUESTS",
"responseMessage": "Request limit reached. Please try again later"
}{
"responseCode": "INTERNAL_ERROR",
"responseMessage": "The server encountered an unexpected condition which prevented it from fulfilling the request"
}{
"responseCode": "SERVICE_UNAVAILABLE",
"responseMessage": "The server is undergoing maintenance and is not available. Please, try again later"
}
